Package org.apache.cxf.common.jaxb

# Class SchemaCollectionContextProxy

java.lang.Object
org.apache.cxf.common.jaxb.SchemaCollectionContextProxy

All Implemented Interfaces:
  `JAXBContextProxy`

public class SchemaCollectionContextProxy extends Object implements JAXBContextProxy

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaCollectionContextProxy(jakarta.xml.bind.JAXBContext ctx, SchemaCollection c, String defaultNs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBeanInfo(Class<?> cls)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchemaCollectionContextProxy

    public SchemaCollectionContextProxy(jakarta.xml.bind.JAXBContext ctx, SchemaCollection c, String defaultNs)

- ## Method Details

  - ### getBeanInfo

    public Object getBeanInfo(Class<?> cls)
    Specified by:
      `getBeanInfo` in interface `JAXBContextProxy`